require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusSauteed", false);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpCilantro", true);

SManager:AddMeal(MealType.STEAK, "steakCuban", false);
SManager:AddMeal(MealType.PASTA, "fettucine", false);
SManager:AddMeal(MealType.CHICKEN, "chickenRosemary", true);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMMexicoCity", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMCancun", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMArgentina", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");